# Trigger FBA Eligibility Check **POST /v1/inventory_requests/{id}/trigger_fba_eligibility_check** The process for using this endpoint is twofold. 1) Call this endpoint /trigger_fba_eligibility_check for an IR to trigger LE checks on its items. 2) Poll the /list_eligibility_checks endpoint for that same IR to learn the results. On average, it takes between 30 seconds to 2 minutes for a batch of LE checks to finish. The larger the IR the longer it can take. It is important to pay attention to LE checks because it can significantly delay receipt of your inventory if there are listing issues. ## Servers - Public API: https://api.pattern.com/hub (Public API) - Staging API: https://stage-api.pattern.com/hub (Staging API) ## Authentication methods - Bearer auth ## Parameters ### Path parameters - **id** (string) Inventory Request IR number ### Body: application/json (object) - **listing_ids** (array[integer]) Array of listing IDs to trigger eligibility check for ## Responses ### 200 FBA eligibility check queued successfully #### Body: application/json (object) - **success** (boolean) - **message** (string) - **queued_listing_ids** (array[integer]) ### 400 Bad Request - validation failure ### 404 Inventory request not found ### 401 Unauthorized - missing org_id [Powered by Bump.sh](https://bump.sh)